> For the complete documentation index, see [llms.txt](https://docs.gridmate.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gridmate.io/package-reference/components-library/calendars-and-timelines/gm-object-timeline.md).

# GM - Object Timeline

(gmpkg:timeLineContainerLWC)

## **Documentation**

**GM - Object Timeline** component is used to display a Timeline on any Lightning page (**Home**, **App**, **Record**). The object timeline filters can be configured through the App Builder and using the current object on a Record Page.

The header can also host **Global Actions**: a menu next to **Refresh** that runs a Salesforce quick action or a screen flow on the current record.

**Use case:** Display a timeline of Tasks filtered by current opportunity. See [Object Timeline](https://docs.gridmate.io/product-tour/calendars-and-timelines/object-timeline.md) in the Product Tour.

## **Specification**

<table data-full-width="true"><thead><tr><th width="222.33333333333331">Property</th><th width="168">Type</th><th width="450.36979166666674">Description</th></tr></thead><tbody><tr><td>Show Header</td><td>Boolean</td><td>Check this option if you wish to display the header. Required to display the <strong>Global Actions</strong> menu.</td></tr><tr><td>Title</td><td>String</td><td>Title of the card.</td></tr><tr><td>Icon</td><td>String</td><td><p>Icon name from the <a href="https://www.lightningdesignsystem.com/icons/">Salesforce Lightning Design System</a> to display in the header.</p><p>Ex: <strong>standard:account</strong></p></td></tr><tr><td>Timeline Configuration</td><td>String</td><td>JSON configuration describing the timeline content.</td></tr><tr><td>Variant</td><td>String</td><td>Card Variant. (linear | non-linear)</td></tr><tr><td>Global Actions</td><td>String</td><td>JSON array of actions displayed in a menu next to <strong>Refresh</strong>. Each action runs a Salesforce quick action (default) or a screen flow in a modal. The menu is hidden when no action is configured. See Global Actions.</td></tr></tbody></table>

## **API Reference**

{% tabs fullWidth="true" %}
{% tab title="timeLineContainerLWC.js-meta.xml" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<LightningComponentBundle xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>65.0</apiVersion>
    <isExposed>true</isExposed>
    <masterLabel>GM - Object Timeline</masterLabel>
    <description>GM - Object Timeline</description>
    <targets>
        <target>lightning__RecordPage</target>
        <target>lightning__AppPage</target>
        <target>lightning__HomePage</target>
    </targets>
    <targetConfigs>
        <targetConfig targets="lightning__RecordPage,lightning__AppPage,lightning__HomePage">
            <property name="showHeader" type="Boolean" label="Show Header" description="Check to display the header" />
            <property name="headerTitle" type="String" label="Title" description="Title to display on the header" />
            <property name="variant" type="String" label="Variant" description="Card Variant. (linear | non-linear)" />
            <property
                name="headerIcon"
                type="String"
                label="Icon"
                description="Header icon to display on the header (SLDS Icons)"
            />
            <property
                name="jsonConfig"
                type="String"
                label="Timeline Configuration"
                description="JSON Timeline Configuration"
            />
            <property
                name="jsonActions"
                type="String"
                label="Global Actions"
                description="Global Actions configuration"
            />
        </targetConfig>
    </targetConfigs>
</LightningComponentBundle>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.gridmate.io/package-reference/components-library/calendars-and-timelines/gm-object-timeline.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
